LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XGraphicProvider Interface Referencepublished

This interface acts as the main interface to handle graphic content. More...

`import"XGraphicProvider.idl";`

Inheritance diagram for XGraphicProvider:

## Public Member Functions
::com::sun::star::beans::XPropertySet | queryGraphicDescriptor ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a com::sun::star::beans::XPropertySet interface that gives access to the properties of the unloaded graphic. More...
XGraphic | queryGraphic ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a XGraphic interface that holds the graphic content after loading the graphic. More...
void | storeGraphic ([in] ::com::sun::star::graphic::XGraphic Graphic, [in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Store the graphic content, represented through the XGraphic interface at the specified location. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface acts as the main interface to handle graphic content.

It is used to load graphics, store graphics and to get information about unloaded graphics

## Member Function Documentation

## ◆ queryGraphic()

XGraphic queryGraphic | ( | [in] ::com::sun::star::beans::PropertyValues | MediaProperties | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::WrappedTargetException
| ) |  |

Calling this method returns a XGraphic interface that holds the graphic content after loading the graphic.

Parameters

  MediaProperties | A sequence of property values to describe the location of the graphic from which the graphic is to be loaded

Returns
  The XGraphic interface

See also
  MediaProperties
  XGraphic
  com::sun::star::beans::PropertyValues

## ◆ queryGraphicDescriptor()

::com::sun::star::beans::XPropertySet queryGraphicDescriptor | ( | [in] ::com::sun::star::beans::PropertyValues | MediaProperties | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::WrappedTargetException
| ) |  |

Calling this method returns a com::sun::star::beans::XPropertySet interface that gives access to the properties of the unloaded graphic.

In most cases, this method will be used to query the mime type of the graphic and, in the case of pixel graphics, the resulting size after loading

Parameters

  MediaProperties | A sequence of property values to describe the location of the graphic, for which the attributes should be returned

Returns
  A com::sun::star::beans::XPropertySet interface to get access to the different graphic properties

See also
  MediaProperties
  GraphicDescriptor
  com::sun::star::beans::PropertyValues

## ◆ storeGraphic()

void storeGraphic | ( | [in] ::com::sun::star::graphic::XGraphic | Graphic,
|  | [in] ::com::sun::star::beans::PropertyValues | MediaProperties
| ) |  |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::WrappedTargetException
| ) |  |

Store the graphic content, represented through the XGraphic interface at the specified location.

Parameters

  Graphic | The graphic that should be stored
  MediaProperties | A sequence of property values to describe the destination location of the graphic

See also
  XGraphic
  MediaProperties
  com::sun::star::beans::PropertyValues

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicProvider.idl